Package org.pushingpixels.substance.internal.ui

# Class SubstanceTreeUI.MyTreeSelectionListener

java.lang.Object
org.pushingpixels.substance.internal.ui.SubstanceTreeUI.MyTreeSelectionListener

All Implemented Interfaces:
  `EventListener`, `TreeSelectionListener`

Enclosing class:
  `SubstanceTreeUI`

protected class SubstanceTreeUI.MyTreeSelectionListener extends Object implements TreeSelectionListener
Selection listener for selection animation effects.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MyTreeSelectionListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`valueChanged(TreeSelectionEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyTreeSelectionListener

protected MyTreeSelectionListener()

## Method Details

### valueChanged

public void valueChanged(TreeSelectionEvent e)

Specified by:
  `valueChanged` in interface `TreeSelectionListener`